import gobject

class ContactGroup(gobject.GObject):
	__gsignals__ = {"changed": (gobject.SIGNAL_RUN_LAST, gobject.TYPE_NONE, [])}
	
	def __init__(self, name, groups):
		gobject.GObject.__init__(self)
		self.groups = groups
		self.name = name
		self.favorite = True
		
	def on_filter_row(self, model, iter):
		contact = model[iter][0]
		if contact == None or contact == self:
			return False
		
		if self.groups == None:
			return False
			
		if len(self.groups) == 0:
			return (len(contact.groups) == 0)
			
		for i in self.groups:
			if i not in contact.groups:
				return False
		
		return True

class FavoriteContactGroup(ContactGroup):
	def __init__(self):
		ContactGroup.__init__(self, "Favorites", None)
		
	def on_filter_row(self, model, iter):
		contact = model[iter][0]
		if contact == None or contact == self:
			return False
		
		if contact.favorite:
			return True
		else:
			return ContactGroup.on_filter_row(self, model, iter)
					
def get_group_filter(group, model):
	# FIXME: Apparently this cause problem for some people
	# Try to comment the two following lines for a workaround..
	model = model.filter_new()
	model.set_visible_func(group.on_filter_row)
	return model
